MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028967Community[OCCT] OCCT:Modeling Algorithmspublic2017-08-02 08:532017-09-29 16:29
Reporterickby 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028967: Boolean cut fails the first time, works the second time
DescriptionThis is a bug encountered in FreeCAD: https://forum.freecadweb.org/viewtopic.php?f=10&t=23653 [^]

It is a boolean cut operation which fails. The interesting thing is that it works if the shapes in use are tesselated before the boolean operation. I was not able to reproduce this with draw exe, as I don't know how to deliberatly tesselate a shape. However, I was able to make the boolean work with a simple repetition of the operation (see script in "Steps to Reproduce")
Steps To Reproducepload ALL
restore original.brep
restore envelope.brep

bcut result original envelope
checkshape result #shows errror in result

bcut result original envelope
checkshape result #shows valid shape
Additional information
and documentation updates
was not checked with current occ master but 7.1 only
TagsNo tags attached.
Test case numberbugs modalg_7 bug28967
Attached Files? file icon envelope.brep (47,626 bytes) 2017-08-02 08:53
? file icon original.brep (99,949 bytes) 2017-08-02 08:54

- Relationships

-  Notes
(0069043)
msv (developer)
2017-08-02 09:37

I confirm that the bug is reproduced in 7.1.
The bug can be reproduced repeatedly on the same shapes if the safe mode is in force:
bnondestructive 1

Tessellation is already present in the shapes. Its presence or absence does not influence on the result.

The bug is not reproduced in the current version.

Dear bugmaster, please create the test case and close it.
(0069478)
git (administrator)
2017-08-16 16:55

Branch CR28967 has been created by mkv.

SHA-1: 9c72ca4634823e93ece975bf710600e9b68326ca


Detailed log of new commits:

Author: mkv
Date: Wed Aug 16 16:55:19 2017 +0300

    0028967: Boolean cut fails the first time, works the second time
(0069479)
mkv (tester)
2017-08-16 16:56

Dear BugMaster,
Test case
bugs modalg_7 bug28967 is OK on current master.
(0069480)
mkv (tester)
2017-08-16 16:57

Dear BugMaster,
Branch CR28967 from occt git-repository is TESTED.
(0069646)
git (administrator)
2017-08-18 17:00

Branch CR28967 has been deleted by kgv.

SHA-1: 9c72ca4634823e93ece975bf710600e9b68326ca

- Related Changesets
occt: master fbd0023f
Timestamp: 2017-08-16 13:55:19
Author: mkv
Committer: bugmaster
Details ] Diff ]
0028967: Boolean cut fails the first time, works the second time
add - tests/bugs/modalg_7/bug28967 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-02 08:53 ickby New Issue
2017-08-02 08:53 ickby Assigned To => msv
2017-08-02 08:53 ickby File Added: envelope.brep
2017-08-02 08:54 ickby File Added: original.brep
2017-08-02 09:37 msv Note Added: 0069043
2017-08-02 09:37 msv Assigned To msv => bugmaster
2017-08-02 09:37 msv Status new => feedback
2017-08-02 09:37 msv Resolution open => fixed
2017-08-02 09:37 msv Target Version => 7.2.0
2017-08-14 10:13 bugmaster Assigned To bugmaster => mkv
2017-08-16 16:55 git Note Added: 0069478
2017-08-16 16:56 mkv Test case number => bugs modalg_7 bug28967
2017-08-16 16:56 mkv Note Added: 0069479
2017-08-16 16:57 mkv Note Added: 0069480
2017-08-16 16:57 mkv Assigned To mkv => bugmaster
2017-08-16 16:57 mkv Status feedback => tested
2017-08-18 12:53 bugmaster Changeset attached => occt master fbd0023f
2017-08-18 12:53 bugmaster Status tested => verified
2017-08-18 17:00 git Note Added: 0069646
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker